Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos
Class WtoMessage

    java.lang.Object
      com.ibm.jzos.WtoMessage

All Implemented Interfaces:
  WtoConstants

    public class WtoMessage

extends java.lang.Object
implements WtoConstants

A simple data object/bean for holding a WTO message and its parameters. If the supplied message contains line-separator characters, the message will be broken into multiple WTO lines at the separators. If a single line is longer than the maximum WTO line length, it will also be broken into multiple WTO lines.

See: `WtoConstants` for definitions of route and descriptor codes and flags.

Field Summary

Fields inherited from interface com.ibm.jzos.WtoConstants
`DESC_CRITICAL_EVENTUAL_ACTION_REQUESTED, DESC_DYNAMIC_STATUS_DISPLAYS, DESC_EVENTUAL_ACTION_REQUIRED, DESC_IMMEDIATE_ACTION_REQUIRED, DESC_IMMEDIATE_COMMAND_RESPONSE, DESC_IMPORTANT_INFORMATION_MESSAGES, DESC_JOB_STATUS, DESC_MESSAGE_PREVIOUSLY_AUTOMATED, DESC_OPERATOR_REQUEST, DESC_OUT_OF_LINE_MESSAGE, DESC_RETAIN, DESC_SYSTEM_FAILURE, DESC_SYSTEM_STATUS, FLAG_CONSOLE_HARDCOPY, ROUTCDE_DASD_POOL, ROUTCDE_DISK_LIBRARY, ROUTCDE_EMULATORS, ROUTCDE_MASTER_CONSOLE_ACTION, ROUTCDE_MASTER_CONSOLE_INFORMATION, ROUTCDE_PROGRAMMER_INFORMATION, ROUTCDE_SYSPROG_INFORMATION, ROUTCDE_SYSTEM_SECURITY, ROUTCDE_TAPE_LIBRARY, ROUTCDE_TAPE_POOL, ROUTCDE_TELEPROCESSING_CONTROL, ROUTCDE_UNIT_RECORD_POOL`

Constructor Summary
`WtoMessage(java.lang.String message)` Construct an instance with a given WTO message
`WtoMessage(java.lang.String message, int routcdeBitMask, int descrBitMask)` Construct an instance with a given WTO message, routecode and descripter mask

Method Summary
`int[]` | `getDescrs()` Answer an integer array of descriptor codes.
`long` | `getFlags()` Answer the flags bit mask used to issue the message
`java.lang.String` | `getMessage()` Answer the message string
`int[]` | `getRoutcdes()` Answer the route codes
`int` | `getToken()` Answer the int token used to find this message for deletion
`void` | `setDescrs(int descrsBitMask)` Set the descriptor codes using a bit mask
`void` | `setDescrs(int[] descrs)` Set the descriptor codes using an int array
`void` | `setFlags(long flags)` Answer the flags bit mask used to issue the message
`void` | `setRoutcdes(int routcdesBitMask)` Set the route codes using a integer bit mask.
`void` | `setRoutcdes(int[] routcdes)` Set the route codes using a integer array.
`void` | `setToken(int token)` Set the int token used to find this message for deletion

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WtoMessage

    public WtoMessage(java.lang.String message)

  Construct an instance with a given WTO message

### WtoMessage

    public WtoMessage(java.lang.String message,
                      int routcdeBitMask,
                      int descrBitMask)

  Construct an instance with a given WTO message, routecode and descripter mask

Method Detail

### getDescrs

    public int[] getDescrs()

  Answer an integer array of descriptor codes.

  See Also:
    `WtoConstants`

### setDescrs

    public void setDescrs(int descrsBitMask)

  Set the descriptor codes using a bit mask

  See Also:
    `WtoConstants`

### setDescrs

    public void setDescrs(int[] descrs)

  Set the descriptor codes using an int array

  See Also:
    `WtoConstants`

### getMessage

    public java.lang.String getMessage()

  Answer the message string

### getRoutcdes

    public int[] getRoutcdes()

  Answer the route codes

  See Also:
    `WtoConstants`

### setRoutcdes

    public void setRoutcdes(int routcdesBitMask)

  Set the route codes using a integer bit mask.

  See Also:
    `WtoConstants`

### setRoutcdes

    public void setRoutcdes(int[] routcdes)

  Set the route codes using a integer array.

  See Also:
    `WtoConstants`

### getToken

    public int getToken()

  Answer the int token used to find this message for deletion

### setToken

    public void setToken(int token)

  Set the int token used to find this message for deletion

### getFlags

    public long getFlags()

  Answer the flags bit mask used to issue the message

  See Also:
    `WtoConstants`

### setFlags

    public void setFlags(long flags)

  Answer the flags bit mask used to issue the message

  See Also:
    `WtoConstants`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD